Subject: Re: bug#36649: 27.0.50; pure space and pdumper

From: Po Lu <[email-masked]>
Date: Sat, 02 Jul 2022 18:32:52 +0800

Po Lu <[email-masked]> writes:

> FWIW none of the dumping mechanisms work with the new garbage collector,
> but it will be optional, since I don't see how to make it work on MS-DOS
> (which AFAIU has no equivalent of `mprotect').  The current
> implementation also assumes 4K pages.
>
> So in my work, pure space and incremental GC are both conditional, under
> #ifdef HAVE_MPROTECT.

Sorry, I meant pure space is conditional when not HAVE_MPROTECT, while
incremental GC is enabled when it is defined.  Or rather, will be, since
so far I've only made blind, half hearted attempts to keep the regular
GC building.  It probably won't build or work.